Skip to main content
GET
Game Logs

Authorizations

apiKey
string
query
required

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, game, team, teamName, teamLogo, teamLogoUrl, opponent, opponentName, opponentLogo, opponentLogoUrl, gameType, teamScore, opponentScore, outcome, teamScoreSo, opponentScoreSo, player, jerseyNumber, playerRole, stats, createdAt, updatedAt

Available options:
id,
game,
team,
teamName,
teamLogo,
teamLogoUrl,
opponent,
opponentName,
opponentLogo,
opponentLogoUrl,
gameType,
teamScore,
opponentScore,
outcome,
teamScoreSo,
opponentScoreSo,
player,
jerseyNumber,
playerRole,
stats,
createdAt,
updatedAt,
game.*,
team.*,
teamLogo.*,
opponent.*,
opponentLogo.*,
player.*,
stats.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
game.date,
-game.date,
game.dateTime,
-game.dateTime,
game.league,
-game.league,
player,
-player,
player.playerType,
-player.playerType,
team,
-team,
opponent,
-opponent,
teamScore,
-teamScore,
opponentScore,
-opponentScore,
stats.G,
-stats.G,
stats.A,
-stats.A,
stats.PTS,
-stats.PTS,
stats.PIM,
-stats.PIM,
stats.PM,
-stats.PM,
stats.SOG,
-stats.SOG,
stats.PPG,
-stats.PPG,
stats.SHG,
-stats.SHG,
stats.GA,
-stats.GA,
stats.SA,
-stats.SA,
stats.SV,
-stats.SV,
stats.SVP,
-stats.SVP,
stats.SO,
-stats.SO,
stats.TOI,
-stats.TOI,
createdAt,
-createdAt,
updatedAt,
-updatedAt
player
integer[]

Filter by player ID

player.nationality
string[]

Filter by player.nationality slug in ISO 3166-1 alpha-3

player.playerType
enum<string>

Filter by player.playerType

Available options:
GOALTENDER,
SKATER
player.position
enum<string>[]

Filter by player.position

Available options:
G,
D,
F,
C,
W,
LW,
RW
player.position:not
(enum<string> | null)[]

Filter by player.position not equal to

Available options:
G,
D,
F,
null
player.playerStyle
string

Filter by player.playerStyle slug

player.age
string

Filter by player.age in In UTC

player.draftedInDraftType
string[]

Filter by player.draftedInDraftType

player.nhlDrafted
boolean

Filter by player.nhlDrafted

player.nhlDraftedByTeam
integer[]

Filter by player.nhlDraftedByTeam

player.nhlRights.rights
enum<string>[]

Filter by player.nhlRights.rights

Available options:
unsigned,
signed
player.nhlRights.team
integer[]

Filter by player.nhlRights.team

player.draftStatus
enum<string>

Filter by player.draftStatus

Available options:
drafted-prospect,
drafted-player,
undrafted-prospect-u21,
not-drafted
player.nhlDraftProspect
enum<string>

Filter by player.nhlDraftProspect

Available options:
drafted-prospect,
undrafted-prospect-u21
player.verified
boolean

Filter by player.verified

game
integer[]

Filter by game ID

game.league
string[]

Filter by game.league slug

game.season
string

Filter by game.season slug

game.seasonType
enum<string>

Filter by game.seasonType

Available options:
PRESEASON,
REGULAR_SEASON,
POSTSEASON
game.dateTime:from
string<date-time>

Filter by game.dateTime greater or equal to in ISO-8601 format for date and time

game.dateTime:to
string<date-time>

Filter by game.dateTime less than or equal to in ISO-8601 format for date and time

game.date:from
string<date>

Filter by game.date greater or equal to in ISO-8601 format for date

game.date:to
string<date>

Filter by game.date less than or equal to in ISO-8601 format for date

team
integer[]

Filter by team ID

opponent
integer[]

Filter by opponent ID

team-or-opponent
integer[]

Filter by team-or-opponent

stats.G:min
integer

Filter by stats.G greater or equal to

stats.PTS:min
integer

Filter by stats.PTS greater or equal to

stats.SV:min
integer

Filter by stats.SV greater or equal to

stats.TOI:min
string

Filter by stats.TOI greater or equal to

createdAt:min
string<date-time>

Filter by createdAt greater or equal to in ISO-8601 format for date and time

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of game logs.

_meta
object
data
object[]